import { FeatureRunner } from './runner';
declare type WebhookRequest = {
    headers: {
        [key: string]: string;
    };
    body: object;
};
/**
 * Manages the waiting for webhook requests.
 */
export declare class WebhookReceiver {
    private readonly queueUrl;
    latestWebhookRequest?: WebhookRequest;
    constructor(queueUrl: string);
    /**
     * When multiple alerts are configured, messages may result in the webhook
     * receiver receiving multiple requests from different alerts.
     *
     * This receiver will fetch a webhook request for a specific message group
     * id (which is the path after the API URL: {webhookReceiver}/message-group).
     *
     * Requests from other message groups will be discarded.
     */
    receiveWebhookRequest(MessageGroupId: string, runner: FeatureRunner<any>): Promise<WebhookRequest>;
    /**
     * Deletes all messages in a Queue instead of using purge (which can only be used every 60 seconds)
     */
    clearQueue(): Promise<void>;
}
export {};
