"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_sdk_1 = require("aws-sdk");
exports.fetchStackConfiguration = async (StackName) => {
    const cf = new aws_sdk_1.CloudFormation();
    const { Stacks } = await cf.describeStacks({ StackName }).promise();
    if (!Stacks) {
        throw new Error(`Unknown stack "${StackName}"!`);
    }
    const Outputs = (Stacks && Stacks[0].Outputs) || [];
    return Outputs.reduce((outputs, { OutputKey, OutputValue }) => (Object.assign({}, outputs, { [OutputKey]: OutputValue })), {});
};
