import { StepRunner, Store, FeatureRunner } from '../lib/runner';
import { AppSyncClient } from '../lib/appsync/appSyncClient';
export declare const appSyncBeforeAll: (runner: FeatureRunner<Store>) => Promise<AppSyncClient>;
export declare const appSyncAfterAll: (runner: FeatureRunner<Store>) => Promise<void>;
export declare type AppSyncStepRunnerStore = Store & {
    appSyncClient: AppSyncClient;
};
/**
 * BDD steps for interacting with an AWS Appsync GQL API
 */
export declare const appSyncStepRunners: <W extends AppSyncStepRunnerStore>() => StepRunner<W>[];
